GlobIterator::__construct
InfiniteIterator
GlobIterator
PHP Manual

# GlobIterator::count

(PHP 5 >= 5.3.0)

GlobIterator::count — Get the number of directories and files

### Description

public integer GlobIterator::count ( void )

Gets the number of directories and files found by the glob expression.

### Parameters

This function has no parameters.

### Return Values

The number of returned directories and files, as an integer .

### Examples

Example #1 GlobIterator::count example

`<?php
$iterator = new GlobIterator('*.xml');
printf("Matched %d item(s)\r\n", $iterator->count());
?>`

The above example will output something similar to:

    Matched 8 item(s)

### See Also

- GlobIterator::__construct - Construct a directory using glob
- count() - Count all elements in an array, or properties in an object
- glob() - Find pathnames matching a pattern

GlobIterator::__construct
InfiniteIterator
GlobIterator
PHP Manual